<?php
namespace Commercioo;
if(!class_exists("Commercioo\BankTransfer") && class_exists("Commercioo\Payment")){
    final class BankTransfer extends \Commercioo\Payment{
        /**
         * Construction
         */
        public function __construct() {
            $this->key = 'bacs';
            $this->label = __("Bank Transfer","commercioo-payment-method");
            add_filter("comm_check_payment_method",array($this,"comm_check_payment_method"));
            add_filter("commercioo/payment/payment-options/{$this->key}",array($this,"comm_check_payment_method"));
            add_filter("commercioo/display/payment-method/{$this->key}",array($this,"comm_display_payment_method"));
        }
        /**
         * Check payment method
         * @since   v0.4.1
         * @param array $options
         * @return array $options
         */
        public function comm_check_payment_method($options = array()){
            global $comm_options;
            if((isset($comm_options['payment_option']) && isset($comm_options['payment_option'][$this->key])) && isset($comm_options['bank_transfer']) && !empty($comm_options['bank_transfer'])){
                $options[$this->key] =true;
            }
            return $options;
        }
        /**
         * Display payment method
         * @since   v0.4.1
         * @return void
         */
        public function comm_display_payment_method($content=''){
            ?>
            <div class="direct-bank-wrap">
                <input type="radio" class="radio-payment radio-show-direct-bank" name="payment_method" id="payment_method_<?php echo esc_attr($this->key);?>" value="<?php echo esc_attr($this->key);?>">
                <input type="hidden" name="payment_method_name[<?php echo esc_attr($this->key);?>]" value="<?php echo esc_attr($this->label);?>">
                <label class="label-shipping label-direct-bank"  data-bs-container="body"
                    data-bs-toggle="popover"
                    data-bs-placement="right"
                  data-bs-trigger="hover"  tabindex="0"
                   data-bs-content="<?php echo esc_html("Make your payment directly into our bank account. Your order wont be shipped until the funds have cleared in our account.");?>"
                   for="payment_method_<?php echo esc_attr($this->key);?>"><?php echo esc_attr($this->label);?></label>
            </div>
<?php
        }
    }
    $BankTransfer = new \Commercioo\BankTransfer();
}