(function ($) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	window.cCheckoutStandalone = {
		el: {
			window: $(window),
			document: $(document),
			order_summary: $('.commercioo-checkout-order-summary'),
			order_button: $('.btn-place-order')
		},
		fn: {},
		run: function () {
			//WINDOW LOAD
			cCheckoutStandalone.el.window.on("load", function () {
				// tippy('.label-direct-bank', {
				// 	content: 'Make your payment directly into our bank account. Your order wont be shipped until the funds have cleared in our account.',
				// 	placement: 'right',
				// });
				$("[data-bs-toggle=popover]").popover();
			});

			cCheckoutStandalone.el.document.ready(function () {
				/*
				function ship_to_different_address_toggle() {				
					// toggle hide-show
					cCheckoutStandalone.el.document.on('change', '.checkbox-shipping:checkbox', function () {
						$('.show-form-ship-different').toggle();

						// save checked state
						localStorage.setItem('order-checkbox-shipping-address', $(this).is(":checked"));
					});

					// is checked
					if ( localStorage.getItem('order-checkbox-shipping-address') == 'true' ) {
						$('.checkbox-shipping').prop('checked', true);
						$('.show-form-ship-different').show();
					}
					else {
						$('.show-form-ship-different').hide();
					}
				}
				*/
				var form = document.querySelector("#commercioo-checkout-form");
				if ( form ) {
					form.onsubmit = submitted.bind(form);
				}
    			
    			function submitted(event) {
				    cCheckoutStandalone.el.order_button.prop('disabled', true);
				}


				function payment_methods_toggle() {
					$(".show-paypal").hide();
					$(".show-credit-card").hide();

					cCheckoutStandalone.el.document.on('change', '.radio-show-direct-bank', function () {
						$(".show-direct-bank").show();
						$(".show-paypal").hide();
						$(".show-credit-card").hide();
					});

					cCheckoutStandalone.el.document.on('change', '.radio-show-paypal', function () {
						$(".show-direct-bank").hide();
						$(".show-paypal").show();
						$(".show-credit-card").hide();
					});

					cCheckoutStandalone.el.document.on('change', '.radio-show-credit-card', function () {
						$(".show-direct-bank").hide();
						$(".show-paypal").hide();
						$(".show-credit-card").show();
					});	
				}

				/**
				 * We not yet need this, because currently we only support a `direct-back-transfer` method 
				 * -----------
				 * payment_methods_toggle();
				 */

				// ship_to_different_address checkbox toggle
				// ship_to_different_address_toggle();

				// move the content to the end of the body
				if(!cApiSettingsPublic.is_2step){
					$('#commercioo-checkout-standalone').appendTo(document.body);
				}

				/**
				 * this wont be a simple hide-show toggle
				 * the field must be excluded from the form if the user wanted to
				 * so we need to move the fields outside the form tag
				 */
				$('.show-form-ship-different').hide();
				$(".checkbox-shipping:checkbox").change(function () {
					var contents = '#the-content-of-show-form-ship-different';
					var container = '#show-form-ship-different';

					if (this.checked) {
						$(contents).contents().appendTo(container);
						$(container).show();
					}
					else {
						$(container).hide();
						$(container).contents().appendTo(contents);
					}
				})
				
			});
		}
	};
	cCheckoutStandalone.run();
})(jQuery);