(function ($) {
    'use strict';

    /**
     * All of the code for your admin-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */
    window.cPublic = {
        el: {
            window: $(window),
            document: $(document),
            status_type: null,
            order_button: $('.btn-place-order'),
            order_summary: $('.commercioo-checkout-order-summary'),
            owl_view_image: $(".owl-1"),
            owl_view_image_thumb: $(".owl-2"),
            slidesPerPage: 4,
            number: 0
        },
        fn: {
            setPopoverTooltips:function(){
                var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
                var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
                    return new bootstrap.Popover(popoverTriggerEl)
                });
            },
            loading: function (event, txt_msg, icon, type = '', duration = 0, responseStatus = false) {
                if (event == "show") {
                    $.toast({
                        text: txt_msg,
                        icon: icon,
                        position: 'mid-center',
                        textAlign: 'center',
                        loader: true,
                        stack: false,
                        hideAfter: false,
                        allowToastClose: false
                    });
                } else {
                    window.setTimeout(function () {
                        $(".jq-toast-wrap").fadeOut("slow").remove();
                        if (type == "buy_now" && responseStatus) {
                            // window.location.href = cApiSettingsPublic.cart_url;
                            window.location.href = cApiSettingsPublic.checkout_url;
                        }
                    }, duration);
                }
            },
            keranjang_belanja: function (url, dataStore = {}, type, method, target = '') {
                $.ajax({
                    url: url,
                    method: method,
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('X-WP-Nonce', cApiSettingsPublic.nonce);
                        if (type != "fetch") {
                            $.toast({
                                text: comm_lang_Public.item_to_cart.please_wait,
                                icon: 'info',
                                position: 'mid-center',
                                textAlign: 'center',
                                loader: true,
                                stack: false,
                                hideAfter: false,
                                allowToastClose: false
                            });
                        }
                    },
                    data: dataStore,
                }).done(function (response) {
                    $(".jq-toast-wrap").fadeOut("slow").remove();
                    var txt_msg = '';
                    switch (type) {
                        case "add":
                            txt_msg = comm_lang_Public.item_to_cart.sukses_tambah_keranjang;
                            if (target != '') {
                                target.removeClass("no-click");
                                cPublic.fn.keranjang_belanja(cApiSettingsPublic.admin_ajax_url + '?action=comm_view_add_to_item_cart', {}, "fetch", "GET", '');
                            }
                            break;
                        case "buy_now":
                            txt_msg = comm_lang_Public.item_to_cart.sukses_tambah_keranjang;
                            break;
                        case "remove":
                            txt_msg = comm_lang_Public.item_to_cart.sukses_remove_keranjang;
                            if (target != '') {
                                target.closest("tr").remove();
                            }
                            break;
                        case "update":
                            txt_msg = comm_lang_Public.item_to_cart.update_keranjang;
                            if (target != '') {
                                target.removeClass("no-click");
                                cPublic.fn.keranjang_belanja(cApiSettingsPublic.admin_ajax_url + '?action=comm_view_add_to_item_cart', {}, "fetch", "GET", '');
                            }
                            break;
                        default:
                            if (response.data.total_item_cart > 0) {
                                $(".show-cart .detail-show-cart").html(response.data.result_html);
                                $(response.data.total_item_html).appendTo($(".show-cart").children("a:first-child"));
                                $(".show-cart .count-cart .comm-item-cart-tooltips").html(response.data.total_item_cart);
                            } else {
                                $(".show-cart .count-cart").remove();
                                $(".show-cart .detail-show-cart").html(response.data.result_html);
                            }
                            if ($(".comm-section-cart-page").length) {
                                $(".comm-section-cart-page").html(response.data.content_cart_page);
                            }
                            if (typeof feather !== "undefined") {
                                feather.replace();
                            }
                            break;
                    }

                    if (type != "fetch") {
                        if (response.success) {
                            cPublic.fn.loading("show", txt_msg, "success", type);
                            cPublic.fn.loading("hide", txt_msg, '', type, 1500, response.success);
                        } else {
                            cPublic.fn.loading("show", response.data.message, 'error', '', 5000);
                            cPublic.fn.loading("hide", txt_msg, '', type, 1500);
                        }
                        if (target != '') {
                            target.removeClass("no-click");
                        }
                    }
                }).fail(function (jqXHR, textStatus, error) {
                    cPublic.fn.loading("show", comm_lang_Public.generic.errorMsg, 'error', '');
                    cPublic.fn.loading("hide", '', '', '', 2500);
                });
            },
            submitted: function (event) {
                cPublic.el.order_button.prop('disabled', true);
            },
            check_payment_method:function(){
                if(!cApiSettingsPublic.is_available_payment_method){
                    if($("#checkout-shipping-options").find(".comm-cost-option").length==0){
                        cPublic.el.order_button.prop('disabled', false);
                    }
                }
                if($("#checkout-shipping-options").find(".comm-cost-option").length>0){
                    cPublic.el.order_button.prop('disabled', false);
                }else{
                    cPublic.el.order_button.prop('disabled', true);
                }
            },
            reload_order_summary: function() {
                cPublic.el.order_summary.block({
                    message: null,
                    overlayCSS: {
                        backgroundColor: '#FFF'
                    }
                });
                cPublic.el.order_button.prop('disabled', true);
                var values = $('#commercioo-checkout-form').serialize();

                $.ajax({
                    url: cApiSettingsPublic.root + 'commercioo/v1/refresh_order_summary/',
                    method: 'post',
                    beforeSend: function (xhr) {
                        xhr.setRequestHeader('X-WP-Nonce', cApiSettingsPublic.nonce);
                    },
                    data: {
                        checkout_data: values
                    },
                }).done(function (response) {
                    if ( response.success && response.data.result_html ) {
                        cPublic.el.order_summary.html( response.data.result_html );
                        if ( 0 === $('[name=shipping_cost]:checked').length ) {
                            $('[name=shipping_cost]').first().click();
                        }
                    }
                    cPublic.el.order_summary.unblock();
                    cPublic.el.order_button.prop('disabled', false);
                    cPublic.fn.check_payment_method();
                }).fail(function (jqXHR, textStatus, error) {
                    console.log(error);
                    cPublic.el.order_summary.unblock();
                    cPublic.el.order_button.prop('disabled', false);
                });
            },
            set_shipping: function() {
                cPublic.el.order_summary.block({
                    message: null,
                    overlayCSS: {
                        backgroundColor: '#FFF'
                    }
                });
                cPublic.el.order_button.prop('disabled', true);
                var cost = $('[name=shipping_cost]:checked').val();

                if ( cost ) {
                    $.ajax({
                        url: cApiSettingsPublic.root + 'commercioo/v1/set_shipping/',
                        method: 'post',
                        beforeSend: function (xhr) {
                            xhr.setRequestHeader('X-WP-Nonce', cApiSettingsPublic.nonce);
                        },
                        data: {
                            shipping: cost
                        },
                    }).done(function (response) {
                        cPublic.fn.reload_order_summary();
                    }).fail(function (jqXHR, textStatus, error) {
                        console.log(error);
                        cPublic.el.order_summary.unblock();
                        cPublic.el.order_button.prop('disabled', false);
                    });
                }
            },
            syncPosition: function (el) {
                cPublic.el.owl_view_image_thumb.find(".owl-item").each(function () {
                    $(this).removeClass("current active")
                });
                cPublic.el.owl_view_image_thumb.find(".owl-item").eq(el.item.index).removeClass("current active").addClass("current active");
            },
            initializeScrolltabs: function () {
                if ($('.nav-tabs-img-product').length > 0) {
                    $('.nav-tabs-img-product').scrollingTabs({
                        enableSwiping: true,
                        disableScrollArrowsOnFullyScrolled: true,
                        scrollToTabEdge: true,
                        widthMultiplier: 0.98,
                        forceActiveTab: true,
                        tabClickHandler: function (e) {
                            e.preventDefault();
                            $(".nav-link").removeClass("active");
                            $(".tab-content").find(".tab-pane.active").removeClass("active");
                            var clickedTabElement = this;
                            $(clickedTabElement).addClass("active");
                            cPublic.fn.initializeViewGallery(clickedTabElement);
                        }
                    }).on('ready.scrtabs', function () {
                        var clickedTabElement = this;
                        cPublic.fn.initializeViewGallery(clickedTabElement);
                    });
                } else {
                    cPublic.fn.initializeViewGallery();
                    cPublic.fn.initializeGalleryThumb();
                }

            },
            initializeViewGallery: function (clickedTabElement) {
                var owl_selector_id = $(clickedTabElement).attr("data-id");
                if(typeof owl_selector_id == "undefined"){
                    if($(".nav-tabs-img-product").length>0){
                        owl_selector_id = $(".nav-tabs-img-product").find("a:first-child").attr("data-id");
                    }
                }

                // reference for main items
                cPublic.el.owl_view_image = $('.owl-1');
                // reference for thumbnail items
                cPublic.el.owl_view_image_thumb = $('.owl-2');
                if (typeof owl_selector_id != "undefined") {
                    // reference for main items
                    cPublic.el.owl_view_image = $('.owl-1-' + owl_selector_id);
                    console.log('.owl-1-' + owl_selector_id);
                    // reference for thumbnail items
                    cPublic.el.owl_view_image_thumb = $('.owl-2-' + owl_selector_id);
                }

                $("#tab" + owl_selector_id).addClass("active");
                //transition time in ms
                var duration = 250;

                // carousel function for main slider
                cPublic.el.owl_view_image.owlCarousel({
                    loop: false,
                    nav: true,
                    autoplay: false,
                    dots: false,
                    navigation: true,
                    navText: [
                        "<i class='fa fa-chevron-left c-slide-next-prev slider-prev'></i>",
                        "<i class='fa fa-chevron-right c-slide-next-prev slider-next'></i>"
                    ],
                    items: 1
                }).on('changed.owl.carousel', cPublic.fn.syncPosition);

                // carousel function for thumbnail slider
                cPublic.el.owl_view_image_thumb.owlCarousel({
                    loop: false,
                    // center:true, //to display the thumbnail item in center
                    nav: false,
                    responsive: {
                        0: {
                            items: 3
                        },
                        600: {
                            items: 4
                        },
                        1000: {
                            items: 6
                        }
                    }
                }).on('click', '.owl-item', function (e) {
                    e.preventDefault();
                    $('.owl-2 .owl-item').removeClass('active');
                    $(this).addClass("current active");

                    cPublic.el.owl_view_image.trigger('to.owl.carousel', [$(this).index(), duration, true]);

                }).on('changed.owl.carousel', function (e) {
                    // On change of thumbnail item to trigger main item
                    cPublic.el.owl_view_image.trigger('to.owl.carousel', [e.item.index, duration, true]);
                });
                cPublic.el.owl_view_image.hover(function () {
                        if (typeof owl_selector_id != "undefined") {
                            cPublic.el.owl_view_image.find('.owl-nav').addClass("owl-nav-multi-product");
                        }
                        cPublic.el.owl_view_image.find('.owl-nav').show();
                    },
                    function () {
                        if (typeof owl_selector_id != "undefined") {
                            cPublic.el.owl_view_image.find('.owl-nav').addClass("owl-nav-multi-product");
                        }
                        cPublic.el.owl_view_image.find('.owl-nav').hide();
                    });
            },
            initializeGalleryThumb: function () {
                cPublic.el.owl_view_image_thumb.owlCarousel({
                    items: 4,
                    dots: false,
                    nav: false,
                    smartSpeed: 200,
                    slideSpeed: 500,
                    margin: 10,
                    responsiveClass: true
                });
                cPublic.el.owl_view_image_thumb.find(".owl-item:first-child").addClass("current");
            },
            owl_carousel_click: function () {
                cPublic.el.owl_view_image_thumb.on("click", ".owl-item", function (e) {
                    e.preventDefault();
                    cPublic.el.number = $(this).index();

                    cPublic.el.owl_view_image_thumb.find(".owl-item").each(function () {
                        $(this).removeClass("current active")
                    });

                    cPublic.el.owl_view_image_thumb.find(".owl-item").eq(cPublic.el.number).addClass("current active");
                    cPublic.el.owl_view_image.data('owl.carousel').to(cPublic.el.number, 300, true);
                });
            },
        },
        run: function () {
            //WINDOW LOAD
            cPublic.el.window.on("load", function () {
                if (typeof feather !== "undefined") {
                    feather.replace();
                }
                $('.radio-payment[type=radio]:first').prop('checked', true);
                cPublic.fn.keranjang_belanja(cApiSettingsPublic.admin_ajax_url + '?action=comm_view_add_to_item_cart', {}, "fetch", "GET", '');
            });

            cPublic.el.document.ready(function () {
                cPublic.el.document.on( 'reload_order_summary', function() {
                    cPublic.fn.reload_order_summary();
                } );
                cPublic.el.document.on( 'change', '[name=shipping_cost]', function() {
                    cPublic.fn.set_shipping();
                });
                cPublic.el.document.on('click', '.wishlist-product', function (e) {
                    e.preventDefault();
                    alert("Coming Soon");
                });

                cPublic.el.document.on('change, focusout', '.comm-cart-qty-input', function (e) {
                    var qty = $(this);
                    var qty_cart = 1;
                    if (qty.val() <= 0) {
                        qty.val(1);
                    }
                });
                $(document).ajaxComplete(function (event, xhr, settings) {
                    if (settings.url === cApiSettingsPublic.root + 'commercioo/v1/comm_add_to_cart_del_item/') {
                        cPublic.fn.keranjang_belanja(cApiSettingsPublic.admin_ajax_url + '?action=comm_view_add_to_item_cart', {}, "fetch", "GET", '');
                    }
                });
                var form = document.querySelector("#commercioo-checkout-form");
                if (form) {
                    form.onsubmit = cPublic.fn.submitted.bind(form);
                }
            });
        }
    };
    cPublic.run();
})(jQuery);