<?php
$shipping_available = Commercioo\Cart::is_shipping_available();
$shipping_options   = Commercioo\Cart::shipping_options();
$cart = null;
if(isset( $params['cookie_cart'] )){
    $cart = json_decode( wp_kses_post(base64_decode( $params['cookie_cart'] )), true );
}
?>
<div class="commercioo-checkout-summary-item-wrapper">
	<div class="commercioo-checkout-summary-item">
		<?php foreach ( Commercioo\Cart::get_items( $cart ) as $product_id => $item ) : ?>
			<?php $product = comm_get_product( $product_id ); ?>
			<div class="summary-item-single">
				<div class="product-label">
					<label class="label-item-product"><?php echo esc_html( $product->get_title() ) ?></label>
					<span class="product-quantity"><?php echo esc_html( $item['qty'] ) ?></span>
				</div>
				<div class="price-label">
					<label class="label-item-product"><?php echo esc_html(\Commercioo\Helper::formatted_currency( $item['qty'] * $product->get_regular_price())); ?></label>
				</div>
			</div>			
		<?php endforeach; ?>
	</div>
</div>
<div class="commercioo-checkout-summary-all-wrapper">
	<div class="commercioo-checkout-summary-item-wrapper">
		<div class="commercioo-checkout-summary-item">
			<div class="summary-item-single">
				<div class="subtotal-label">
					<label class="label-item-product"><?php esc_html_e( 'Subtotal', 'commercioo' ) ?></label>
				</div>
				<div class="subtotal-price">
					<label class="label-item-product price-label">
						<?php echo esc_html(\Commercioo\Helper::formatted_currency( \Commercioo\Cart::get_subtotal())); ?>
					</label>
				</div>
			</div>
		</div>
	</div>
	<?php if ( \Commercioo\Cart::has_fees() && defined("COMMERCIOO_PRO_PATH")) : ?>
		<div class="commercioo-checkout-summary-item-wrapper">
			<div class="commercioo-checkout-summary-item">
			<?php foreach ( \Commercioo\Cart::get_fees() as $fee ) : ?>
				<div class="summary-item-single">
					<div class="subtotal-label">
						<label class="label-item-product"><?php echo esc_html( $fee['name'] ) ?></label>
					</div>
					<div class="subtotal-price">
						<label class="label-item-product">
							<?php echo esc_html(\Commercioo\Helper::formatted_currency( $fee['amount'] )); ?>
						</label>
					</div>
				</div>
			<?php endforeach; ?>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( \Commercioo\Cart::has_discounts() && defined("COMMERCIOO_PRO_PATH")) : ?>
		<div class="commercioo-checkout-summary-item-wrapper">
			<div class="commercioo-checkout-summary-item">
				<div class="summary-item-single">
					<div class="subtotal-label">
						<label class="label-item-product"><?php esc_html_e( 'Discount', 'commercioo-pro' ) ?></label>
					</div>
					<div class="subtotal-price">
						<label class="label-item-product price-label">
							- <?php echo esc_html(\Commercioo\Helper::formatted_currency( \Commercioo\Cart::get_discount_total())); ?>
						</label>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php if ( $shipping_available ) : ?>
		<div class="commercioo-checkout-summary-item-wrapper">
			<div class="commercioo-checkout-summary-item">
				<div class="summary-item-single">
					<div class="shipping-label">
						<label class="label-item-product"><?php esc_html_e( 'Shipping', 'commercioo' ) ?></label>
					</div>
					<div class="shipping-price" id="checkout-shipping-options">
						<?php if ( ! empty( $shipping_options ) && ! \Commercioo\Cart::has_free_shipping() ) : ?>
							<?php foreach ( $shipping_options as $k => $c ) : ?>
								<label class='comm-cost-option'>
									<input name='shipping_cost' type='radio' <?php echo esc_attr(html_entity_decode($k) === html_entity_decode(\Commercioo\Cart::get_shipping($cart)) ? 'checked' : ''); ?> value='<?php echo esc_attr( $k . '|' . $c ) ?>'> <span class="shipping-text"><?php echo esc_html( $k ) ?>: </span><span><?php echo esc_html(Commercioo\Helper::formatted_currency( $c )); ?></span>
								</label>
							<?php endforeach; ?>
						<?php elseif ( \Commercioo\Cart::has_free_shipping() ): ?>
								<label class='comm-cost-option'>
									<input name='shipping_cost' type='radio' checked value='<?php echo esc_attr( 'Free Shipping | 0' ) ?>'> <span class="shipping-text"><?php echo esc_html( 'Free Shipping' ) ?></span>
								</label>
						<?php else: ?>
							<label><?php esc_html_e( 'Complete the address to get shipping options', 'commercioo' ) ?></label>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	<?php elseif ( \Commercioo\Cart::has_free_shipping() ) : ?>
		<div class="commercioo-checkout-summary-item-wrapper">
			<div class="commercioo-checkout-summary-item">
				<div class="summary-item-single">
					<div class="shipping-label">
						<label class="label-item-product"><?php esc_html_e( 'Shipping', 'commercioo' ) ?></label>
					</div>
					<div class="shipping-price" id="checkout-shipping-options">
						<label class="d-flex align-items-center shipping-option">
							<input name='shipping_cost' type='radio' checked value='<?php echo esc_attr( 'Free Shipping | 0' ) ?>'> <span class="shipping-text"><?php echo esc_html( 'Free Shipping' ) ?></span>
						</label>
					</div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php do_action("commercioo_view_unique_number");?>
</div>
<div class="commercioo-checkout-summary-item-wrapper total">
	<div class="commercioo-checkout-summary-item">
		<div class="summary-item-single">
			<div class="total-label">
				<label class="label-item-product"><?php esc_html_e( 'TOTAL', 'commercioo' ) ?></label>
			</div>
			<div class="total-price">
				<label class="label-item-product">
					<?php echo esc_html(\Commercioo\Helper::formatted_currency( \Commercioo\Cart::get_total() )); ?>
				</label>
			</div>
		</div>
	</div>
</div>
